Subject: running sshd with a different port than 22
From: "Gerrit P. Haase" <[email-masked]>
To: [email-masked]
Date: Mon, 22 Jul 2002 18:11:59 +0200

Hallo,

For some reason I want to run the sshd on port 21.

I invoked "ssh-host-config -p 21" and let the script install
sshd as a service (I'm on NT4).

After starting sshd as a service I can connect from the same
box with:

$ ssh -p 21 localhost

Now I tried to connect from a second (remote) box and I get this:

$ ssh -p 21 server
Read from socket failed: Connection reset by peer

I see that it is really running:
$ telnet server 21
Trying 192.168.5.5...
Connected to server.koeln.convey.de.
Escape character is '^]'.
SSH-1.99-OpenSSH_3.4p1

I can see sshd is forking of several childs on the server...

Is there some important issue I misunderstood?
Why is it not possible to connect sshd on port 21?

Gerrit
-- 
sig

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/